Resource

Service Dependency

Service is a collection of services that you have in your organization. It can be a collection of services that you are monitoring or services that you are providing to your customers. It can be anything that you want to keep track of.

The Service Dependency Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    project
    Type
    Project
    Description

    Relation to Project Resource in which this object belongs

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of your Project in which this object belongs

  • Name
    service
    Type
    Service
    Description

    Relation to Service Resource in which this object belongs

  • Name
    serviceId
    Type
    Object IDRequired
    Description

    ID of your Service in which this object belongs

  • Name
    dependencyService
    Type
    Service
    Description

    Relation to Service Resource in which this object belongs

  • Name
    dependencyServiceId
    Type
    Object IDRequired
    Description

    ID of your Service in which this object belongs

  • Name
    createdByUser
    Type
    User
    Description

    Relation to User who created this object (if this object was created by a User)

  • Name
    createdByUserId
    Type
    Object ID
    Description

    User ID who created this object (if this object was created by a User)

GETorPOST/api/service-dependency/get-list

List

This endpoint allows you to retrieve a paginated list of all your Service Dependency. By default, a maximum of ten Service Dependency are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/service-dependency/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "dependencyServiceId": true,
    "projectId": true,
    "serviceId": true,
    "createdByUser": true,
    "createdByUserId": true
  },
  "query": {},
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "377ae080-28fe-11f1-b591-3fdcef396aba",
      "dependencyServiceId": "a7b8c9d0-e1f2-3456-ab78-cd90ef123456",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "serviceId": "f6a7b8c9-d0e1-2345-fa67-bc89de012345",
      "createdByUser": "c3d4e5f6-a7b8-9012-cd34-ef56ab789012",
      "createdByUserId": "c3d4e5f6-a7b8-9012-cd34-ef56ab789012"
    },
    {
      "_id": "377ae081-28fe-11f1-b591-3fdcef396aba",
      "dependencyServiceId": "a7b8c9d0-e1f2-3456-ab78-cd90ef123456",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "serviceId": "f6a7b8c9-d0e1-2345-fa67-bc89de012345",
      "createdByUser": "c3d4e5f6-a7b8-9012-cd34-ef56ab789012",
      "createdByUserId": "c3d4e5f6-a7b8-9012-cd34-ef56ab789012"
    },
    {
      "_id": "377ae082-28fe-11f1-b591-3fdcef396aba",
      "dependencyServiceId": "a7b8c9d0-e1f2-3456-ab78-cd90ef123456",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "serviceId": "f6a7b8c9-d0e1-2345-fa67-bc89de012345",
      "createdByUser": "c3d4e5f6-a7b8-9012-cd34-ef56ab789012",
      "createdByUserId": "c3d4e5f6-a7b8-9012-cd34-ef56ab789012"
    }
  ]
}
GETorPOST/api/service-dependency/:id/get-item

Get item by ID

This endpoint allows you to retrieve Service Dependency by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/service-dependency/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "dependencyServiceId": true,
    "projectId": true,
    "serviceId": true,
    "createdByUser": true,
    "createdByUserId": true
  }
}

Response

{
  "_id": "377ae080-28fe-11f1-b591-3fdcef396aba",
  "dependencyServiceId": "a7b8c9d0-e1f2-3456-ab78-cd90ef123456",
  "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
  "serviceId": "f6a7b8c9-d0e1-2345-fa67-bc89de012345",
  "createdByUser": "c3d4e5f6-a7b8-9012-cd34-ef56ab789012",
  "createdByUserId": "c3d4e5f6-a7b8-9012-cd34-ef56ab789012"
}
POST/api/service-dependency/count

Count

This endpoint allows you to retrieve the count of all your Service Dependency.

Optional Request Body

Count Request

POST
/api/service-dependency/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {}
}

Response

{
  "count": 107
}
POST/api/service-dependency

Create Service Dependency

This endpoint allows you to create a new object.

Create Request

POST
/api/service-dependency
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "dependencyServiceId": "a7b8c9d0-e1f2-3456-ab78-cd90ef123456",
    "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
    "serviceId": "f6a7b8c9-d0e1-2345-fa67-bc89de012345",
    "createdByUser": "c3d4e5f6-a7b8-9012-cd34-ef56ab789012",
    "createdByUserId": "c3d4e5f6-a7b8-9012-cd34-ef56ab789012"
  }
}

Response

{
  "_id": "377ae080-28fe-11f1-b591-3fdcef396aba",
  "dependencyServiceId": "a7b8c9d0-e1f2-3456-ab78-cd90ef123456",
  "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
  "serviceId": "f6a7b8c9-d0e1-2345-fa67-bc89de012345",
  "createdByUser": "c3d4e5f6-a7b8-9012-cd34-ef56ab789012",
  "createdByUserId": "c3d4e5f6-a7b8-9012-cd34-ef56ab789012"
}
PUT/api/service-dependency/:id

Update by ID

This endpoint allows you to update object by its ID.

Alternative Methods

For clients that do not support PUT requests, you can use POST or GET with the same request headers and body:

POST/api/service-dependency/:id/update-item
GET/api/service-dependency/:id/update-item

Update Request

PUT
/api/service-dependency/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {}
}

Response

{}
DELETE/api/service-dependency/:id

Delete by ID

This endpoint allows you to delete object by its ID.

Alternative Methods

For clients that do not support DELETE requests, you can use POST or GET with the same request headers and body:

POST/api/service-dependency/:id/delete-item
GET/api/service-dependency/:id/delete-item

Delete Request

DELETE
/api/service-dependency/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY

Response

{}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read Service Dependency

  • Project Owner
  • Project Admin
  • Project Member
  • Project Member
  • Read Service Dependency
  • Read All Project Resources

Create Permissions

Required to create Service Dependency

  • Project Owner
  • Project Admin
  • Project Member
  • Create Service Dependency

Update Permissions

Required to update Service Dependency

  • Project Owner
  • Project Admin
  • Project Member
  • Edit Service Dependency

Delete Permissions

Required to delete Service Dependency

  • Project Owner
  • Project Admin
  • Project Member
  • Delete Service Dependency